
Redmine - Defect #15879

Unable to create new user from email

2014-01-15 20:23 - Justas P

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.2

Description

Hey guys,

Hitting this problem, any help would be appreciated:

I want to allow new users to be created when people send email to our helpdesk address. Unfortunately, this is failing with error:

MailHandler: failed to create User: ["Company can't be blank"]

We are using:

Environment:

Redmine version                2.3.2.stable

Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

Rails version                  3.2.13

Once again thanks for any ideas how to fix this.

History

#1 - 2014-01-16 09:31 - Toshi MARUYAMA

- Category changed from Accounts / authentication to Email receiving

#2 - 2014-01-19 09:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I guess you have a "Company" custom field on your users and you've set it to be required. The user creation fails because of this. Try to uncheck

"required" on the custom field definition.
